<?php
header("Cache-Control: no-cache, must-revalidate"); // HTTP 1.1
header("Pragma: no-cache"); // HTTP 1.0
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT"); // Date in the past
error_reporting(E_ALL);
ini_set('display_errors', 1);
?>
<!DOCTYPE html>
<html>
<head>
    <title>Display Data</title>
    <link rel="stylesheet" type="text/css" href="style.css">
</head>
<body>

<?php
require_once("connection.php");

$conn = getConnection();

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$current_month = date('n');
$current_year = date('Y');

// Get data from the database
if (isset($_POST['month']) && isset($_POST['year'])) {
    $month = $_POST['month'];
    $year = $_POST['year'];
    if ($month == 0) {
        $sql = "SELECT * FROM data WHERE YEAR(fecha) = $year";
    } else {
        $sql = "SELECT * FROM data WHERE MONTH(fecha) = $month AND YEAR(fecha) = $year";
    }
} else {
    $sql = "SELECT * FROM data WHERE MONTH(fecha) = $current_month AND YEAR(fecha) = $current_year";
}

$result = $conn->query($sql);

if ($result->num_rows > 0) {
    echo "<table><tr><th>ID</th><th>Fecha</th><th>Invoice</th><th>Nombre de Cliente</th><th>Descuento</th><th>Subtotal1</th><th>IVU1</th><th>TotalFac1</th><th>MetPago1</th><th>Subtotal2</th><th>IVU2</th><th>TotalFac2</th><th>MetPago2</th><th>IVUSubtotal</th><th>IVUTotal</th><th>Cantexten</th><th>IVUSubtotal2</th><th>IVUTotal2</th><th>cantexten2</th><th>Comentarios</th><th>Actions</th></tr>";
    $i = 1;
    while ($row = $result->fetch_assoc()) {
        echo "<tr><td>".$i."</td><td>".$row["fecha"]."</td><td>".$row["invoice"]."</td><td>".$row["cliente"]."</td><td>".$row["listBox3Value"]."</td><td>".$row["subtotal"]."</td><td>".$row["ivu"]."</td><td>".$row["totalfac"]."</td><td>".$row["listBox1Value"]."</td><td>".$row["sec_subtotal"]."</td><td>".$row["sec_ivu"]."</td><td>".$row["sec_totalfac"]."</td><td>".$row["listBox2Value"]."</td><td>".$row["IVUSubtotal"]."</td><td>".$row["IVUTotal"]."</td><td>".$row["cantextension"]."</td><td>".$row["SecIVUSubtotal"]."</td><td>".$row["SecIVUTotal"]."</td><td>".$row["Seccantextension"]."</td><td>".$row["comentarios"]."</td><td>";
        echo "<form method='POST' action='delete.php'>";
        echo "<input type='hidden' name='id' value='".$row["id"]."'>";
        echo "<input type='submit' class='delete-button' name='delete' value='Delete'>";
        echo "</form>";
        echo "</td></tr>";
        $i++;
    }
    echo "</table>";

} else {
echo "0 results";
}

// Month and year filter
echo "<form method='POST'>";
echo "<label for='month'>Select a month:</label>";
echo "<select id='month' name='month'>";
echo "<option value='0'>All</option>";
echo "<option value='1'>January</option>";
echo "<option value='2'>February</option>";
echo "<option value='3'>March</option>";
echo "<option value='4'>April</option>";
echo "<option value='5'>May</option>";
echo "<option value='6'>June</option>";
echo "<option value='7'>July";
echo "<option value='8'>August</option>";
echo "<option value='9'>September</option>";
echo "<option value='10'>October</option>";
echo "<option value='11'>November</option>";
echo "<option value='12'>December</option>";
echo "</select>";

echo "<label for='year'>Select a year:</label>";
echo "<select id='year' name='year'>";
for ($year = 2023; $year <= 2030; $year++) {
echo "<option value='$year'>$year</option>";
}
echo "</select>";

echo "<input type='submit' value='Filter'>";
echo "</form>";

$conn->close();

?>

<!-- Button container -->
<div class="button-container">
    <!-- Export to Excel button -->
    <form action="export.php" method="POST">
        <button class="export-button" type="submit" name="export">Export to Excel</button>
    </form>
    <!-- Print button -->
    <button class="print-button" onclick="window.print()">Print</button>
    <!-- Calculate button -->
    <button class="calculate-button" onclick="calculate()">Calculate</button>
</div>
<!-- Results container -->
<div id="results-container">
    <h2>Results</h2>
    <div id="subtotal-results"></div>
    <div id="ivu-results"></div>
    <div id="totalfac-results"></div>
</div>
<!-- JavaScript code -->
<script>
function calculate() {
    var month = document.getElementById("month").value;
    var year = document.getElementById("year").value;
    var dataRows = document.getElementsByTagName("tr");
    console.log("month:", month);
console.log("year:", year);
console.log("dataRows:", dataRows);

var subtotal = 0;
var ivu = 0;
var totalfac = 0;

for (var i = 1; i < dataRows.length; i++) {
    var row = dataRows[i];
    var rowData = row.getElementsByTagName("td");

    console.log("rowData:", rowData);

    var rowMonth = new Date(rowData[1].innerText).getMonth() + 1;
    var rowYear = new Date(rowData[1].innerText).getFullYear();

    console.log("rowMonth:", rowMonth);
    console.log("rowYear:", rowYear);

    if (rowMonth == month && rowYear == year) {
        subtotal += parseFloat(rowData[5].innerText) + parseFloat(rowData[9].innerText);
        ivu += parseFloat(rowData[6].innerText) + parseFloat(rowData[10].innerText);
        totalfac += parseFloat(rowData[7].innerText) + parseFloat(rowData[11].innerText);
    }

    console.log("subtotal:", subtotal);
    console.log("ivu:", ivu);
    console.log("totalfac:", totalfac);
}

document.getElementById("subtotal-results").innerHTML = "Subtotal Results: " + subtotal.toFixed(2);
document.getElementById("ivu-results").innerHTML = "IVU Results: " + ivu.toFixed(2);
document.getElementById("totalfac-results").innerHTML = "TotalFac Results: " + totalfac.toFixed(2);

document.getElementById("results-container").style.display = "block";
}

</script>
</body>
</html>
